- Qt 6.10
- Qt Sensors
- C++ Classes
- QSensorChangesInterface
- Qt 6.10.2 Reference Documentation

# QSensorChangesInterface Class

The QSensorChangesInterface class is the pure virtual interface to sensor plugins. More...

Header: | `#include <QSensorChangesInterface>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Sensors)` `target_link_libraries(mytarget PRIVATE Qt6::Sensors)`
qmake: | `QT += sensors`

- List of all members, including inherited members

## Public Functions

virtual void | sensorsChanged() = 0

## Detailed Description

The QSensorChangesInterface class is implemented in sensor plugins to receive notification that registered sensor backends have changed.

See also Creating a sensor plugin.

## Member Function Documentation

### `[pure virtual]` void QSensorChangesInterface::sensorsChanged()

This function is called when the registered backends have changed. Any backends that depend on the presence of other sensors should be registered or unregistered in here.

See also Creating a sensor plugin.